package org.processmining.models.DCNet.visualization;

import java.awt.Color;
import java.awt.Dimension;

import org.processmining.models.DCNet.DCNetNode;
import org.processmining.models.cnet.CNet;
import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.directed.AbstractDirectedGraph;
import org.processmining.models.visualcnet.CNetVEdge;
import org.processmining.models.visualcnet.CNetVNode;

public class DCNetVAttribute extends DCNetVNode {

	public DCNetVAttribute(AbstractDirectedGraph<CNetVNode, CNetVEdge> graph, CNet net, String varName) {
		super(graph,new DCNetNode(varName),net);
		getAttributeMap().put(AttributeMap.SIZE, new Dimension(70, 70));
		getAttributeMap().put(AttributeMap.FILLCOLOR, Color.YELLOW);
		this.tooltip = "TO BE DETERMINED";
	}

}
